Loading...
Searching...
No Matches
BALL::VIEW::AtomOverview::ApplyProcessor Class Reference

`#include <BALL/VIEW/DIALOGS/atomOverview.h>`

Inheritance diagram for BALL::VIEW::AtomOverview::ApplyProcessor:

## Public Member Functions

| ApplyProcessor ()
| ApplyProcessor (const ApplyProcessor &model_processor)
virtual | ~ApplyProcessor ()
Processor::Result | operator() (Composite &composite)
void | setTable (QTableWidget *widget)
void | setMainControl (MainControl *main_control)
void | showOnlySelection (bool state)
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Protected Attributes

QTableWidget * | table_
Position | row_
bool | only_selection_
MainControl * | main_control_

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Definition at line 73 of file atomOverview.h.

## Constructor & Destructor Documentation

## ApplyProcessor() [1/2]

BALL::VIEW::AtomOverview::ApplyProcessor::ApplyProcessor | ( |  | ) |

## ApplyProcessor() [2/2]

BALL::VIEW::AtomOverview::ApplyProcessor::ApplyProcessor | ( | const ApplyProcessor & | model_processor | ) |

## ~ApplyProcessor()

virtual BALL::VIEW::AtomOverview::ApplyProcessor::~ApplyProcessor | ( |  | ) |

virtual

## Member Function Documentation

## operator()()

Processor::Result BALL::VIEW::AtomOverview::ApplyProcessor::operator() | ( | Composite & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< Composite >.

## setMainControl()

void BALL::VIEW::AtomOverview::ApplyProcessor::setMainControl | ( | MainControl * | main_control | ) |

inline

Definition at line 96 of file atomOverview.h.

## setTable()

void BALL::VIEW::AtomOverview::ApplyProcessor::setTable | ( | QTableWidget * | widget | ) |

inline

Definition at line 93 of file atomOverview.h.

## showOnlySelection()

void BALL::VIEW::AtomOverview::ApplyProcessor::showOnlySelection | ( | bool | state | ) |

inline

Definition at line 99 of file atomOverview.h.

## Member Data Documentation

## main_control_

MainControl* BALL::VIEW::AtomOverview::ApplyProcessor::main_control_

protected

Definition at line 106 of file atomOverview.h.

## only_selection_

bool BALL::VIEW::AtomOverview::ApplyProcessor::only_selection_

protected

Definition at line 105 of file atomOverview.h.

## row_

Position BALL::VIEW::AtomOverview::ApplyProcessor::row_

protected

Definition at line 104 of file atomOverview.h.

## table_

QTableWidget* BALL::VIEW::AtomOverview::ApplyProcessor::table_

protected

Definition at line 103 of file atomOverview.h.